aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJunio C Hamano <gitster@pobox.com>2026-03-19 09:54:54 -0700
committerJunio C Hamano <gitster@pobox.com>2026-03-19 09:54:55 -0700
commit2d576325c39d653dc7e908d2ba617d26ee783f18 (patch)
tree9eb8495f6c7ef3e1411b4e6eb6fef14af82c38b2
parentca1db8a0f7dc0dbea892e99f5b37c5fe5861be71 (diff)
parent90725761237c302e693089c8d9c4f2b206369a82 (diff)
downloadgit-2d576325c39d653dc7e908d2ba617d26ee783f18.tar.xz
Merge branch 'ps/t9200-test-path-is-helpers'
Test update. * ps/t9200-test-path-is-helpers: t9200: replace test -f with modern path helper t9200: handle missing CVS with skip_all
-rwxr-xr-xt/t9200-git-cvsexportcommit.sh20
1 files changed, 12 insertions, 8 deletions
diff --git a/t/t9200-git-cvsexportcommit.sh b/t/t9200-git-cvsexportcommit.sh
index a44eabf0d8..14cbe96527 100755
--- a/t/t9200-git-cvsexportcommit.sh
+++ b/t/t9200-git-cvsexportcommit.sh
@@ -30,13 +30,17 @@ export CVSROOT CVSWORK GIT_DIR
rm -rf "$CVSROOT" "$CVSWORK"
-cvs init &&
-test -d "$CVSROOT" &&
-cvs -Q co -d "$CVSWORK" . &&
-echo >empty &&
-git add empty &&
-git commit -q -a -m "Initial" 2>/dev/null ||
-exit 1
+if ! cvs init || ! test -d "$CVSROOT" || ! cvs -Q co -d "$CVSWORK" .
+then
+ skip_all="cvs repository set-up fails"
+ test_done
+fi
+
+test_expect_success 'git setup' '
+ echo >empty &&
+ git add empty &&
+ git commit -q -a -m Initial
+'
check_entries () {
# $1 == directory, $2 == expected
@@ -303,7 +307,7 @@ test_expect_success 're-commit a removed filename which remains in CVS attic' '
git commit -m "Added attic_gremlin" &&
git cvsexportcommit -w "$CVSWORK" -c HEAD &&
(cd "$CVSWORK" && cvs -Q update -d) &&
- test -f "$CVSWORK/attic_gremlin"
+ test_path_is_file "$CVSWORK/attic_gremlin"
'
# the state of the CVS sandbox may be indeterminate for ' space'